/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Server data model.
 */
Ext.define( 'QDesk.model.Server', {
  extend : 'Ext.data.Model',
  fields : [
    { name : 'host', type : 'string' },
    { name : 'port', type : 'int' },

    /*
     * authentication attribute has the following structure:
     * { name : 'username', type : 'string'},
     * { name : 'password', type : 'string'}
     */
    { name : 'authentication', type : 'auto'}
  ]
} );
