/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.settings.confirm.ConfirmationsPanel', {
  extend : 'QDesk.view.main.settings.AppSettingsBasePanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ConfirmationsPanel',

  items : [
    /* Connections tree confirmations */
    {
      xtype : 'fieldset',
      title : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldsetLabelConnections' ),
      items : [
        {
          xtype : 'checkboxfield',
          name : 'confirm.connectionDelete',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldLabelConfirmConnectionDelete' )
        },
        {
          xtype : 'checkboxfield',
          name : 'confirm.folderDelete',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldLabelConfirmConnectionFolderDelete' )
        }
      ]
    },

    /* Message Channel Profile confirmations */
    {
      xtype : 'fieldset',
      title : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldsetLabelMessageChannelProfiles' ),
      items : [
        {
          xtype : 'checkboxfield',
          name : 'confirm.msgChannelProfileDelete',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldLabelConfirmMsgChannelProfileDelete' )
        },
        {
          xtype : 'checkboxfield',
          name : 'confirm.msgChannelProfileFolderDelete',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldLabelConfirmMsgChannelProfileFolderDelete' )
        }
      ]
    },

    /* Scheduler confirmations */
    {
      xtype : 'fieldset',
      title : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldsetLabelScheduler' ),
      items : [
        {
          xtype : 'checkboxfield',
          name : 'confirm.schedulerStart',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldLabelConfirmSchedulerStart' )
        },
        {
          xtype : 'checkboxfield',
          name : 'confirm.schedulerPause',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldLabelConfirmSchedulerPause' )
        },
        {
          xtype : 'checkboxfield',
          name : 'confirm.schedulerStop',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldLabelConfirmSchedulerStop' )
        }
      ]
    },

    /* Save grid configuration */
    {
      xtype : 'checkboxfield',
      name : 'confirm.saveGridConfig',
      boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldLabelConfirmSaveGridConfig' )
    }
  ]
} );
