/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel', {
  extend : 'QDesk.view.main.settings.AppSettingsBasePanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.QuartzConfirmationsPanel',

  items : [
    /* Jobs confirmations */
    {
      xtype : 'fieldset',
      title : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldsetLabelJobs' ),
      items : [
        {
          xtype : 'checkboxfield',
          name : 'quartz.confirm.jobDelete',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldLabelConfirmJobDelete' )
        },
        {
          xtype : 'checkboxfield',
          name : 'quartz.confirm.jobGroupResume',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldLabelConfirmJobGroupResume' )
        },
        {
          xtype : 'checkboxfield',
          name : 'quartz.confirm.jobGroupPause',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldLabelConfirmJobGroupPause' )
        }
      ]
    },


    /* Triggers confirmations */
    {
      xtype : 'fieldset',
      title : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldsetLabelTriggers' ),
      items : [
        {
          xtype : 'checkboxfield',
          name : 'quartz.confirm.triggerDelete',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldLabelConfirmTriggerDelete' )
        },
        {
          xtype : 'checkboxfield',
          name : 'quartz.confirm.triggerResume',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldLabelConfirmTriggerResume' )
        },
        {
          xtype : 'checkboxfield',
          name : 'quartz.confirm.triggerPause',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldLabelConfirmTriggerPause' )
        },
        {
          xtype : 'checkboxfield',
          name : 'quartz.confirm.triggerGroupResume',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldLabelConfirmTriggerGroupResume' )
        },
        {
          xtype : 'checkboxfield',
          name : 'quartz.confirm.triggerGroupPause',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldLabelConfirmTriggerGroupPause' )
        }
      ]
    },


    /* Exec notification rules confirmations */
    {
      xtype : 'fieldset',
      title : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldsetLabelExecNotificationRules' ),
      items : [
        {
          xtype : 'checkboxfield',
          name : 'quartz.confirm.execNotificationRuleDelete',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.QuartzConfirmationsPanel.fieldLabelExecNotificationRuleDelete' )
        }
      ]
    }
  ]
} );
