/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.message.MessageChannelProfilesTreeStore', {
  extend : 'Ext.data.TreeStore',

  requires : [
    'QDesk.model.message.MessageChannelProfilesTreeNode',
    'QDesk.util.constant.ActionUrl'
  ],

  //storeId : 'MessageChannelProfilesTreeStore',

  model : 'QDesk.model.message.MessageChannelProfilesTreeNode',

  proxy : {
    type : 'ajax',

    url : QDesk.util.constant.ActionUrl.messageChannelProfileActionTree,

    reader : {
      type : 'json',
      root : 'data',
      idProperty : 'id',
      successProperty : 'success'
    },

    // Don't want to include these params in request
    pageParam : undefined,
    startParam : undefined,
    limitParam : undefined,
    sortParam : undefined,
    directionParam : undefined,
    filterParam : undefined,
    groupParam : undefined
  }
} );
