/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.im_aim.ImAimBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImAimBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 75
  },

  title : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimBasicPanel.tabLabelBasic' ),

  items : [
    {
      xtype : 'textfield',
      itemId : 'username',
      name : 'username',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimBasicPanel.fieldLabelUsername' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimBasicPanel.fieldEmptyTxtUsername' ),
      allowBlank : false,
      qdesk : {
        required : true
      }
    },
    {
      xtype : 'textfield',
      inputType : 'password',
      itemId : 'password',
      name : 'password',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimBasicPanel.fieldLabelPassword' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimBasicPanel.fieldEmptyTxtPassword' ),
      allowBlank : false,
      qdesk : {
        required : true
      }
    }
  ]
} );
