/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.common.FeatureAccessRestrictedPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.FeatureAccessRestrictedPanel',

  cls : 'featureAccessRestrictedPanel',
  bodyCls : 'featureAccessRestrictedPanelBody',

  //layout : 'ux.center',
  layout : {
    type : 'vbox',
    align : 'stretch'
  },


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.msg )
      Ext.Error.raise( 'Required config parameter missing: qdesk.msg' );

    Ext.apply( config, {
      items : [
        {
          //widthRatio : 0.5,
          //width : 890,
          html : config.qdesk.msg
        }
      ]
    } );

    me.callParent( [config] );
  }
} )
;
